import 'package:exmaple/calendar.screen.dart';
import 'package:exmaple/custom_popup.screen.dart';
import 'package:exmaple/display_media.screen.dart';
import 'package:exmaple/url_preview.screen.dart';
import 'package:flutter/material.dart';
// import 'package:flutter/scheduler.dart';
import 'package:flutterflow_widgets/flutterflow_widgets.dart';

class HomeScreen extends StatefulWidget {
  const HomeScreen({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  State<HomeScreen> createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  @override
  void initState() {
    super.initState();
    // SchedulerBinding.instance.addPostFrameCallback((_) {
    //   Navigator.of(context).push(
    //       MaterialPageRoute(builder: ((context) => const CalendarScreen())));
    // });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: SingleChildScrollView(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              const LinkifyText(
                text: 'Address: https://philgo.com Address: https://naver.com',
                style: TextStyle(fontSize: 14),
              ),
              Wrap(
                children: [
                  ElevatedButton(
                    onPressed: () => Navigator.of(context).push(
                        MaterialPageRoute(
                            builder: ((context) =>
                                const DisplayMediaScreen()))),
                    child: const Text('Display Media'),
                  ),
                  ElevatedButton(
                    onPressed: () => Navigator.of(context).push(
                        MaterialPageRoute(
                            builder: ((context) => const UrlPreviewScreen()))),
                    child: const Text('Show Url Preview'),
                  ),
                  ElevatedButton(
                    onPressed: () => Navigator.of(context).push(
                        MaterialPageRoute(
                            builder: ((context) => const UrlPreviewScreen()))),
                    child: const Text('Show Url Preview'),
                  ),
                  ElevatedButton(
                    onPressed: () => Navigator.of(context).push(
                        MaterialPageRoute(
                            builder: ((context) => const CalendarScreen()))),
                    child: const Text('Calendar'),
                  ),
                  ElevatedButton(
                    onPressed: () => Navigator.of(context).push(
                        MaterialPageRoute(
                            builder: ((context) => const CustomPopupScreen()))),
                    child: const Text('Custom Popup'),
                  ),
                ],
              ),
            ],
          ),
        ),
      ),
    );
  }
}
